<?php

namespace Hyiplab\Controllers\User;

use Hyiplab\Controllers\Controller;
use Hyiplab\Models\Deposit;
use Hyiplab\Models\Invest;
use Hyiplab\Models\Transaction;
use Hyiplab\Models\Withdrawal;

class DashboardController extends Controller
{

    public function index()
    {
        global $user_ID, $wpdb;

        $this->pageTitle = __('Dashboard', HYIPLAB_PLUGIN_NAME);

        $user         = get_userdata($user_ID);
        $data['user'] = $user;

        $data['submittedDeposits']  = Deposit::where('status', '!=', 0)->where('user_id', $user->ID)->sum('amount');
        $data['successfulDeposits'] = Deposit::where('status', 1)->where('user_id', $user->ID)->sum('amount');
        $data['requestedDeposits']  = Deposit::where('user_id', $user->ID)->sum('amount');
        $data['initiatedDeposits']  = Deposit::where('status', 0)->where('user_id', $user->ID)->sum('amount');
        $data['pendingDeposits']    = Deposit::where('status', 2)->where('user_id', $user->ID)->sum('amount');
        $data['rejectedDeposits']   = Deposit::where('status', 3)->where('user_id', $user->ID)->sum('amount');

        $data['submittedWithdraws']  = Withdrawal::where('status', '!=', 0)->where('user_id', $user->ID)->sum('amount');
        $data['successfulWithdraws'] = Withdrawal::where('status', 1)->where('user_id', $user->ID)->sum('amount');
        $data['requestedWithdraws']  = Withdrawal::where('user_id', $user->ID)->sum('amount');
        $data['initiatedWithdraws']  = Withdrawal::where('status', 0)->where('user_id', $user->ID)->sum('amount');
        $data['pendingWithdraws']    = Withdrawal::where('status', 2)->where('user_id', $user->ID)->sum('amount');
        $data['rejectedWithdraws']   = Withdrawal::where('status', 3)->where('user_id', $user->ID)->sum('amount');

        $data['invests']               = Invest::where('user_id', $user->ID)->sum('amount');
        $data['completedInvests']      = Invest::where('user_id', $user->ID)->where('status', 0)->sum('amount');
        $data['runningInvests']        = Invest::where('user_id', $user->ID)->where('status', 1)->sum('amount');
        $data['interests']             = Transaction::where('remark', 'interest')->where('user_id', $user->ID)->sum('amount');
        $data['depositWalletInvests']  = Invest::where('user_id', $user->ID)->where('wallet_type', 'deposit_wallet')->where('status', 1)->sum('amount');
        $data['interestWalletInvests'] = Invest::where('user_id', $user->ID)->where('wallet_type', 'interest_wallet')->where('status', 1)->sum('amount');

        $table_prefix  = $wpdb->base_prefix;
        $date          = vlDate()->subDays(30)->toDate();
        $data['chart'] = Transaction::selectRaw("select SUM(amount) as amount, DATE_FORMAT(created_at,'%Y-%m-%d') as date from " . $table_prefix . "viser_transactions where `remark` = 'interest' and `created_at` >= '" . $date . "' and `user_id` = " . $user->ID . " group by `date` order by `created_at` asc");
        return $this->view('user/dashboard', compact('data'));
    }

    public function userBan()
    {
        global $user_ID;
        $this->pageTitle = __('User Ban', HYIPLAB_PLUGIN_NAME);
        if(!get_user_meta($user_ID, 'vl_user_ban', true)){
            viserRedirect(vlRoute('user.home'));
        }
        $this->view("user/ban");
    }
}
