<?php

namespace Hyiplab\Controllers\User;

use Hyiplab\Controllers\Controller;
use Hyiplab\Models\Invest;
use Hyiplab\Models\Transaction;

class InvestController extends Controller
{
    public function index()
    {
        global $user_ID, $wpdb;

        $this->pageTitle = __('Invest Statistics', HYIPLAB_PLUGIN_NAME);

        $invests      = Invest::where('user_id', $user_ID)->orderBy('id', 'desc')->where('status', 1)->limit(5)->get();
        $activePlan   = Invest::where('user_id', $user_ID)->where('status', 1)->count();
        $totalInvest  = Invest::where('user_id', $user_ID)->sum('amount');
        $totalProfit  = Transaction::where('remark', 'interest')->where('user_id', $user_ID)->sum('amount');
        $table_prefix = $wpdb->base_prefix;
        $investChart  = Invest::selectRaw("select `plan_id`, SUM(amount) as investAmount from " . $table_prefix . "viser_invests where `user_id` = " . $user_ID . " group by `plan_id` order by `investAmount` desc");
        $this->view('user/invest/index',  compact('invests', 'activePlan', 'totalInvest', 'totalProfit', 'investChart'));
    }

    public function log()
    {
        global $user_ID;
        $this->pageTitle = __("Invest Logs");
        $invests = Invest::where('user_id', $user_ID)->orderBy('id','desc')->where('status', 1)->paginate(vlPaginate());
        $this->view('user/invest/log', compact('invests'));
    }
}
