<?php viserLayout('admin/layouts/master'); ?>
<div class="row">
    <div class="col-lg-12">
        <div class="card b-radius--10">
            <div class="card-body p-0">
                <div class="table-responsive--sm table-responsive">
                    <table class="table table--light style--two custom-data-table">
                        <thead>
                            <tr>
                                <th><?php esc_html_e('Gateway', HYIPLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Supported Currency', HYIPLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Enabled Currency', HYIPLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Status', HYIPLAB_PLUGIN_NAME); ?></th>
                                <th><?php esc_html_e('Action', HYIPLAB_PLUGIN_NAME); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($gateways as $k => $gateway) {
                                $supported_currencies = json_decode($gateway->supported_currencies, true);
                            ?>
                                <tr>
                                    <td><?php echo esc_html($gateway->name); ?></td>
                                    <td><?php echo count($supported_currencies); ?></td>
                                    <td><?php echo vlGatewayCurrencyCount($gateway->code); ?></td>
                                    <td>
                                        <?php
                                        if ($gateway->status == 1) {
                                            echo '<span class="text--small badge badge--success">' . __("Enabled", HYIPLAB_PLUGIN_NAME) . '</span>';
                                        } else {
                                            echo '<span class="text--small badge badge--warning">' . __("Disabled", HYIPLAB_PLUGIN_NAME) . '</span>';
                                        } ?>
                                    </td>

                                    <td>
                                        <div class="button--group">
                                            <a href="<?php echo vlRoute('admin.gateway.automatic.edit'); ?>&amp;id=<?php echo intval($gateway->id); ?>" class="btn btn-sm btn-outline--primary">
                                                <i class="la la-pencil"></i> <?php esc_html_e('Edit', HYIPLAB_PLUGIN_NAME); ?>
                                            </a>
                                            <?php if ($gateway->status == 0) { ?>
                                                <button class="btn btn-sm btn-outline--success ms-1 confirmationBtn" data-question="<?php esc_attr_e('Are you sure to enable this gateway?', HYIPLAB_PLUGIN_NAME); ?>" data-action="<?php echo vlRoute('admin.gateway.automatic.status'); ?>&amp;id=<?php echo intval($gateway->id); ?>">
                                                    <i class="la la-eye"></i> <?php esc_html_e('Enable', HYIPLAB_PLUGIN_NAME); ?>
                                                </button>
                                            <?php } else { ?>
                                                <button class="btn btn-sm btn-outline--danger ms-1 confirmationBtn" data-question="<?php esc_attr_e('Are you sure to disable this gateway?', HYIPLAB_PLUGIN_NAME); ?>" data-action="<?php echo vlRoute('admin.gateway.automatic.status'); ?>&amp;id=<?php echo intval($gateway->id); ?>">
                                                    <i class="la la-eye-slash"></i> <?php esc_html_e('Disable', HYIPLAB_PLUGIN_NAME); ?>
                                                </button>
                                            <?php } ?>
                                        </div>
                                    </td>
                                </tr>
                            <?php } ?>
                            <?php if (vlCheckEmpty($gateways)) { ?>
                                <tr>
                                    <td class="text-muted text-center" colspan="100%"><?php esc_html_e('Data Not found', HYIPLAB_PLUGIN_NAME); ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table><!-- table end -->
                </div>
            </div>
        </div><!-- card end -->
    </div>
</div>
<?php viserInclude('partials/confirmation', ['nonce' => 'admin.gateway.automatic.status']); ?>