<div class="sidebar bg--dark">
    <button class="res-sidebar-close-btn"><i class="las la-times"></i></button>
    <div class="sidebar__inner">
        <div class="sidebar__logo">
            <a href="<?php menu_page_url('hyiplab'); ?>" class="sidebar__main-logo"><img src="<?php echo viserAsset('global/images/logo_light.png'); ?>" alt="Logo"></a>
        </div>

        <div class="sidebar__menu-wrapper position-relative" id="sidebar__menuWrapper">
            <ul class="sidebar__menu">
                
                <li class="sidebar-menu-item <?php menuActive('admin.hyiplab', dashboard: true) ?>">
                    <a href="<?php menu_page_url('hyiplab') ?>" class="nav-link">
                        <i class="menu-icon las la-home"></i>
                        <span class="menu-title"><?php esc_html_e('Dashboard', HYIPLAB_PLUGIN_NAME) ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive(['admin.time.index', 'admin.plan.index'],3);?>">
                        <i class="menu-icon las la-clipboard-check"></i>
                        <span class="menu-title"><?php esc_html_e('Plan Manage', HYIPLAB_PLUGIN_NAME);?></span>
                    </a>
                    <div class="sidebar-submenu <?php menuActive(['admin.time.index', 'admin.plan.index'],2);?>">
                        <ul>
                            <li class="sidebar-menu-item <?php menuActive('admin.time.index');?>">
                                <a href="<?php echo vlRoute('admin.time.index');?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Time Manage', HYIPLAB_PLUGIN_NAME);?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.plan.index');?>">
                                <a href="<?php echo vlRoute('admin.plan.index');?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Plan Manage', HYIPLAB_PLUGIN_NAME);?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item <?php menuActive('admin.referrals.index');?>">
                    <a href="<?php echo vlRoute('admin.referrals.index');?>" class="nav-link">
                        <i class="menu-icon las la-tree"></i>
                        <span class="menu-title"><?php esc_html_e('Manage Referral', HYIPLAB_PLUGIN_NAME);?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php menuActive(['admin.users.all', 'admin.users.detail']) ?>">
                    <a href="<?php echo vlRoute('admin.users.all');?>" class="nav-link">
                        <i class="menu-icon las la-users"></i>
                        <span class="menu-title"><?php esc_html_e('All Users', HYIPLAB_PLUGIN_NAME) ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive([
                                                            'admin.gateway.automatic',
                                                            'admin.gateway.automatic.edit',
                                                            'admin.gateway.manual',
                                                            'admin.gateway.manual.create',
                                                            'admin.gateway.manual.edit'
                                                        ], 3) ?>">
                        <i class="menu-icon las la-credit-card"></i>
                        <span class="menu-title"><?php esc_html_e('Payment Gateways', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php menuActive([
                                                    'admin.gateway.automatic',
                                                    'admin.gateway.automatic.edit',
                                                    'admin.gateway.manual',
                                                    'admin.gateway.manual.create',
                                                    'admin.gateway.manual.edit'
                                                ], 2) ?>">
                        <ul>
                            <li class="sidebar-menu-item <?php menuActive(['admin.gateway.automatic', 'admin.gateway.automatic.edit']) ?>">
                                <a href="<?php echo vlRoute('admin.gateway.automatic') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Automatic Gateways', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive(['admin.gateway.manual', 'admin.gateway.manual.create', 'admin.gateway.manual.edit']) ?>">
                                <a href="<?php echo vlRoute('admin.gateway.manual') ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Manual Gateways', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                        </ul>
                    </div>
                </li>


                <li class="sidebar-menu-item sidebar-dropdown">

                    <a href="javascript:void(0)" class="<?php menuActive(['admin.deposit.pending', 'admin.deposit.approved', 'admin.deposit.successful', 'admin.deposit.rejected', 'admin.deposit.initiated', 'admin.deposit.list', 'admin.deposit.details'], 3); ?>">
                        <i class="menu-icon las la-file-invoice-dollar"></i>
                        <span class="menu-title"><?php esc_html_e('Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                        <?php if(0 < pendingDepositCount()){?>
                            <span class="menu-badge pill bg--danger ms-auto">
                                <i class="fa fa-exclamation"></i>
                            </span>
                        <?php } ?>
                    </a>

                    <div class="sidebar-submenu <?php menuActive(['admin.deposit.pending', 'admin.deposit.approved', 'admin.deposit.successful', 'admin.deposit.rejected', 'admin.deposit.initiated', 'admin.deposit.list', 'admin.deposit.details'], 2); ?>">
                        <ul>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.pending'); ?>">
                                <a href="<?php echo vlRoute('admin.deposit.pending'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Pending Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                    <?php if(pendingDepositCount()){?>
                                        <span class="menu-badge pill bg--danger ms-auto"><?php echo esc_html(pendingDepositCount());?></span>
                                    <?php } ?>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.approved'); ?>">
                                <a href="<?php echo vlRoute('admin.deposit.approved'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Approved Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.successful'); ?>">
                                <a href="<?php echo vlRoute('admin.deposit.successful'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Successful Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.rejected'); ?>">
                                <a href="<?php echo vlRoute('admin.deposit.rejected'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Rejected Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.initiated'); ?>">

                                <a href="<?php echo vlRoute('admin.deposit.initiated'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Initiated Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.deposit.list'); ?>">
                                <a href="<?php echo vlRoute('admin.deposit.list'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('All Deposits', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive(['admin.withdraw.method.index', 'admin.withdraw.method.create', 'admin.withdraw.method.edit', 'admin.withdraw.pending', 'admin.withdraw.approved', 'admin.withdraw.rejected', 'admin.withdraw.log', 'admin.withdraw.detail'], 3); ?>">
                        <i class="menu-icon la la-bank"></i>
                        <span class="menu-title"><?php esc_html_e('Withdrawals', HYIPLAB_PLUGIN_NAME); ?></span>
                        <?php if(0 < pendingWithdrawCount()){?>
                            <span class="menu-badge pill bg--danger ms-auto">
                                <i class="fa fa-exclamation"></i>
                            </span>
                        <?php } ?>
                    </a>
                    <div class="sidebar-submenu <?php menuActive(['admin.withdraw.method.index', 'admin.withdraw.method.create', 'admin.withdraw.method.edit', 'admin.withdraw.pending', 'admin.withdraw.approved', 'admin.withdraw.rejected', 'admin.withdraw.log', 'admin.withdraw.detail'], 2); ?>">
                        <ul>

                            <li class="sidebar-menu-item <?php menuActive(['admin.withdraw.method.index', 'admin.withdraw.method.create', 'admin.withdraw.method.edit']); ?>">
                                <a href="<?php echo vlRoute('admin.withdraw.method.index'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Withdrawal Methods', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.withdraw.pending'); ?>">
                                <a href="<?php echo vlRoute('admin.withdraw.pending'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Pending Withdrawals', HYIPLAB_PLUGIN_NAME); ?></span>
                                    <?php if(pendingWithdrawCount()){?>
                                        <span class="menu-badge pill bg--danger ms-auto"><?php echo esc_html(pendingWithdrawCount());?></span>
                                    <?php } ?>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.withdraw.approved'); ?>">
                                <a href="<?php echo vlRoute('admin.withdraw.approved'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Approved Withdrawals', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.withdraw.rejected'); ?>">
                                <a href="<?php echo vlRoute('admin.withdraw.rejected'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Rejected Withdrawals', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                            <li class="sidebar-menu-item <?php menuActive('admin.withdraw.log'); ?> ">
                                <a href="<?php echo vlRoute('admin.withdraw.log'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('All Withdrawals', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>

                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive(['admin.ticket.pending', 'admin.ticket.closed', 'admin.ticket.answered', 'admin.ticket.index', 'admin.ticket.view'], 3); ?>">
                        <i class="menu-icon la la-ticket"></i>
                        <span class="menu-title"><?php esc_html_e('Support Ticket', HYIPLAB_PLUGIN_NAME); ?></span>
                        <?php if(0 < pendingTicketCount()){?>
                            <span class="menu-badge pill bg--danger ms-auto">
                                <i class="fa fa-exclamation"></i>
                            </span>
                        <?php } ?>
                    </a>
                    <div class="sidebar-submenu <?php menuActive(['admin.ticket.pending', 'admin.ticket.closed', 'admin.ticket.answered', 'admin.ticket.index', 'admin.ticket.view'], 2); ?> ">
                        <ul>
                            <li class="sidebar-menu-item <?php menuActive('admin.ticket.pending'); ?> ">
                                <a href="<?php echo vlRoute('admin.ticket.pending'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Pending Ticket', HYIPLAB_PLUGIN_NAME); ?></span>
                                    <?php if(pendingTicketCount()){?>
                                        <span class="menu-badge pill bg--danger ms-auto"><?php echo esc_html(pendingTicketCount());?></span>
                                    <?php } ?>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.ticket.closed'); ?> ">
                                <a href="<?php echo vlRoute('admin.ticket.closed'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Closed Ticket', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.ticket.answered'); ?> ">
                                <a href="<?php echo vlRoute('admin.ticket.answered'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Answered Ticket', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.ticket.index'); ?> ">
                                <a href="<?php echo vlRoute('admin.ticket.index'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('All Ticket', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive(['admin.report.transaction', 'admin.report.invest.history'], 3); ?>">
                        <i class="menu-icon la la-list"></i>
                        <span class="menu-title"><?php esc_html_e('Report', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php menuActive(['admin.report.transaction', 'admin.report.invest.history'], 2); ?> ">
                        <ul>
                            <li class="sidebar-menu-item <?php menuActive('admin.report.transaction'); ?>">
                                <a href="<?php echo vlRoute('admin.report.transaction'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Transaction Log', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.report.invest.history'); ?>">
                                <a href="<?php echo vlRoute('admin.report.invest.history');?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Invest History', HYIPLAB_PLUGIN_NAME);?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar__menu-header"><?php esc_html_e('Settings', HYIPLAB_PLUGIN_NAME); ?></li>

                <li class="sidebar-menu-item <?php menuActive('admin.setting.index'); ?>">
                    <a href="<?php echo vlRoute('admin.setting.index'); ?>" class="nav-link">
                        <i class="menu-icon las la-life-ring"></i>
                        <span class="menu-title"><?php esc_html_e('General Setting', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php menuActive('admin.setting.system.configuration'); ?>">
                    <a href="<?php echo vlRoute('admin.setting.system.configuration'); ?>" class="nav-link">
                        <i class="menu-icon las la-cog"></i>
                        <span class="menu-title"><?php esc_html_e('System Configuration', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php menuActive('admin.extension.index'); ?>">
                    <a href="<?php echo vlRoute('admin.extension.index'); ?>" class="nav-link">
                        <i class="menu-icon las la-cogs"></i>
                        <span class="menu-title"><?php esc_html_e('Extensions', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item <?php menuActive('admin.setting.logo.icon') ?>">
                    <a href="<?php echo vlRoute('admin.setting.logo.icon') ?>" class="nav-link">
                        <i class="menu-icon las la-images"></i>
                        <span class="menu-title"><?php esc_html_e('Logo & Favicon', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

                <li class="sidebar-menu-item sidebar-dropdown">
                    <a href="javascript:void(0)" class="<?php menuActive(['admin.setting.notification.global', 'admin.setting.notification.email', 'admin.setting.notification.sms', 'admin.setting.notification.templates', 'admin.setting.notification.template.edit'], 3); ?>">
                        <i class="menu-icon las la-bell"></i>
                        <span class="menu-title"><?php esc_html_e('Notification Setting', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                    <div class="sidebar-submenu <?php menuActive(['admin.setting.notification.global', 'admin.setting.notification.email', 'admin.setting.notification.sms', 'admin.setting.notification.templates', 'admin.setting.notification.template.edit'], 2); ?> ">
                        <ul>
                            <li class="sidebar-menu-item <?php menuActive('admin.setting.notification.global'); ?> ">
                                <a href="<?php echo vlRoute('admin.setting.notification.global'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Global Template', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.setting.notification.email'); ?> ">
                                <a href="<?php echo vlRoute('admin.setting.notification.email'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Email Setting', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive('admin.setting.notification.sms'); ?> ">
                                <a href="<?php echo vlRoute('admin.setting.notification.sms'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('SMS Setting', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                            <li class="sidebar-menu-item <?php menuActive(['admin.setting.notification.templates', 'admin.setting.notification.template.edit']); ?> ">
                                <a href="<?php echo vlRoute('admin.setting.notification.templates'); ?>" class="nav-link">
                                    <i class="menu-icon las la-dot-circle"></i>
                                    <span class="menu-title"><?php esc_html_e('Notification Templates', HYIPLAB_PLUGIN_NAME); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li class="sidebar-menu-item  <?php menuActive('admin.request.report') ?>">
                    <a href="<?php echo vlRoute('admin.request.report') ?>" class="nav-link" data-default-url="<?php vlRoute('admin.request.report') ?>">
                        <i class="menu-icon las la-bug"></i>
                        <span class="menu-title"><?php esc_html_e('Report & Request', HYIPLAB_PLUGIN_NAME); ?></span>
                    </a>
                </li>

            </ul>
            <div class="text-center mb-5 text-uppercase">
                <span class="text--primary"><?php esc_html_e(vlSystemDetails()['name'], HYIPLAB_PLUGIN_NAME) ?></span>
                <span class="text--success"><?php esc_html_e('V', HYIPLAB_ROOT) ?><?php esc_html_e(vlSystemDetails()['version'], HYIPLAB_PLUGIN_NAME) ?></span>
            </div>
        </div>
    </div>
    <a href="<?php echo admin_url(); ?>" class="back-dashboard__button btn btn--info"> <i class="fab fa-wordpress"></i> <?php esc_html_e('Back To WordPress', HYIPLAB_PLUGIN_NAME);?></a>
</div>
<!-- sidebar end -->


<script>
    jQuery(document).ready(function($) {
        if ($('li').hasClass('active')) {
            $('#sidebar__menuWrapper').animate({
                scrollTop: eval($(".active").offset().top - 320)
            }, 500);
        }
    });
</script>