<?php viserLayout('admin/layouts/master'); ?>

<div class="row">
    <div class="col-12">
        <div class="row gy-4">

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--19">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="las la-money-bill-wave-alt"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo vlCur('sym'); ?><?php echo vlShowAmount(hyiplabBalance($user->ID, 'deposit_wallet')); ?></h3>
                        <p class="text-white"><?php esc_html_e('Deposit Wallet', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.report.transaction'); ?>&amp;username=<?php echo esc_html($user->user_login);?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--19">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="las la-money-bill-wave-alt"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo vlCur('sym'); ?><?php echo vlShowAmount(hyiplabBalance($user->ID, 'interest_wallet')); ?></h3>
                        <p class="text-white"><?php esc_html_e('Interest Wallet', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.report.transaction'); ?>&amp;username=<?php echo esc_html($user->user_login);?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--primary">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="las la-wallet"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo vlCur('sym'); ?><?php echo vlShowAmount($totalDeposit); ?></h3>
                        <p class="text-white"><?php esc_html_e('Deposits', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.deposit.list'); ?>&amp;username=<?php echo esc_html($user->user_login);?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--1">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="fas fa-wallet"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo vlCur('sym'); ?><?php echo vlShowAmount($totalWithdrawals); ?></h3>
                        <p class="text-white"><?php esc_html_e('Withdrawals', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.withdraw.log'); ?>&amp;username=<?php echo esc_html($user->user_login);?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--17">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="las la-exchange-alt"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo intval($totalTransaction); ?></h3>
                        <p class="text-white"><?php esc_html_e('Transactions', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.report.transaction'); ?>&amp;username=<?php echo esc_html($user->user_login);?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

            <div class="col-xxl-4 col-sm-6">
                <div class="widget-two style--two box--shadow2 b-radius--5 bg--18">
                    <div class="widget-two__icon b-radius--5 bg--primary">
                        <i class="las la-ticket-alt"></i>
                    </div>
                    <div class="widget-two__content">
                        <h3 class="text-white"><?php echo intval($pendingTicket); ?></h3>
                        <p class="text-white"><?php esc_html_e('Pending Ticket', HYIPLAB_PLUGIN_NAME); ?></p>
                    </div>
                    <a href="<?php echo vlRoute('admin.ticket.pending'); ?>" class="widget-two__btn"><?php esc_html_e('View All', HYIPLAB_PLUGIN_NAME); ?></a>
                </div>
            </div>
            <!-- dashboard-w1 end -->

        </div>

        <div class="card mt-30">
            <div class="card-header">
                <h5 class="card-title mb-0"><?php esc_html_e('Information of', HYIPLAB_PLUGIN_NAME);?> <?php echo esc_html($user->display_name);?></h5>
            </div>
            <div class="card-body">
                <form action="<?php echo vlRoute('admin.users.update');?>&amp;id=<?php echo intval($user->ID);?>" method="POST" enctype="multipart/form-data">
                    <?php vlNonceField('admin.users.update');?>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label><?php esc_html_e('Full Name', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control w-100" type="text" name="display_name" value="<?php echo esc_attr($user->display_name);?>" required>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Email', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control" type="email" name="email" value="<?php echo esc_attr($user->user_email);?>" required readonly>
                            </div>
                        </div>

                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Mobile Number', HYIPLAB_PLUGIN_NAME);?></label>
                                <div class="input-group ">
                                    <span class="input-group-text mobile-code"></span>
                                    <input type="number" name="mobile" value="<?php echo esc_attr( get_user_meta($user->ID, 'vl_mobile', true));?>" id="mobile" class="form-control" required>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row mt-4">
                        <div class="col-md-6 col-lg-8">
                            <div class="form-group">
                                <label><?php esc_html_e('Address', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control" type="text" name="address" value="<?php echo esc_attr( get_user_meta($user->ID, 'vl_address', true));?>">
                            </div>
                        </div>

                        <div class="col-md-6 col-lg-4">
                            <div class="form-group">
                                <label><?php esc_html_e('City', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control" type="text" name="city" value="<?php echo esc_attr( get_user_meta($user->ID, 'vl_city', true));?>">
                            </div>
                        </div>

                        <div class="col-xl-3 col-md-6">
                            <div class="form-group ">
                                <label><?php esc_html_e('State', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control" type="text" name="state" value="<?php echo esc_attr( get_user_meta($user->ID, 'vl_state', true));?>">
                            </div>
                        </div>

                        <div class="col-xl-3 col-md-6">
                            <div class="form-group ">
                                <label><?php esc_html_e('Zip/Postal', HYIPLAB_PLUGIN_NAME);?></label>
                                <input class="form-control" type="text" name="zip" value="<?php echo esc_attr( get_user_meta($user->ID, 'vl_zip', true));?>">
                            </div>
                        </div>

                        <div class="col-xl-3 col-md-6">
                            <div class="form-group ">
                                <label><?php esc_html_e('Country', HYIPLAB_PLUGIN_NAME);?></label>
                                <select name="country" class="form-control">
                                    <?php foreach($countries as $key => $country){?>
                                        <option data-mobile_code="<?php echo esc_attr($country->dial_code);?>" value="<?php echo esc_attr($key);?>"><?php echo esc_html($country->country);?></option>
                                    <?php } ?>
                                </select>
                            </div>
                        </div>
                    
                        <div class="col-xl-3 col-md-6">
                            <div class="form-group">
                                <label><?php esc_html_e('Status', HYIPLAB_PLUGIN_NAME);?></label>
                                <input type="checkbox" data-width="100%" data-height="50" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-on="<?php esc_attr_e('Ban', HYIPLAB_PLUGIN_NAME);?>" data-off="<?php esc_attr_e('Unban', HYIPLAB_PLUGIN_NAME);?>" name="user_ban" <?php if(get_user_meta($user->ID, 'vl_user_ban', true)) echo 'checked';?>>
                            </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="submit" class="btn btn--primary w-100 h-45"><?php esc_html_e('Submit', HYIPLAB_PLUGIN_NAME);?></button>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<script>
    jQuery(document).ready(function($){
        "use strict"
            let mobileElement = $('.mobile-code');
            $('select[name=country]').change(function(){
                mobileElement.text(`+${$('select[name=country] :selected').data('mobile_code')}`);
            });

            $('select[name=country]').val('<?php echo get_user_meta($user->ID, "vl_country_code", true);?>');
            let dialCode        = $('select[name=country] :selected').data('mobile_code');
            let mobileNumber    = `<?php echo get_user_meta($user->ID, "vl_mobile", true);?>`;
            mobileNumber        = mobileNumber.replace(dialCode,'');
            $('input[name=mobile]').val(mobileNumber);
            mobileElement.text(`+${dialCode}`);
    })(jQuery);
</script>