<?php foreach ($plans as $plan) { ?>
    <div class="col-lg-4 col-md-4 col-sm-6">
        <div class="plan-item style--two text-center mw-100 w-100 h-100">
            <div class="plan-item__header">
                <h4 class="mb-1 plan-title"><?php echo esc_html($plan->name) ?></h4>
                <p class="mb-2">
                    <?php if ($plan->lifetime == 0) { ?>
                        <?php esc_html_e('Total', HYIPLAB_PLUGIN_NAME); ?>
                        <?php echo esc_html($plan->interest * $plan->repeat_time) ?><?php echo esc_html($plan->interest_type == 1 ? '%' : ' ' . vlCur('text')) ?>
                        <?php esc_html_e('ROI', HYIPLAB_PLUGIN_NAME); ?>
                    <?php } else { ?>
                        <?php esc_html_e('Unlimited', HYIPLAB_PLUGIN_NAME); ?>
                    <?php } ?>
                </p>
                <div class="plan-rate">
                    <h3 class="rate">
                        <?php echo esc_html($plan->interest_type != 1 ? vlCur('symbol') : ''); ?><?php echo vlShowAmount($plan->interest); ?><?php echo esc_html($plan->interest_type == 1 ? '%' : ''); ?>
                    </h3>
                    <p><?php esc_html_e('EVERY', HYIPLAB_PLUGIN_NAME); ?> <?php echo strtoupper($plan->time_name) ?> <?php esc_html_e('FOR', HYIPLAB_PLUGIN_NAME); ?> <?php if ($plan->lifetime == 0) { ?>
                            <?php echo esc_html($plan->repeat_time . ' ' . $plan->time_name) ?>
                        <?php } else { ?>
                            <?php esc_html_e('LIFETIME', HYIPLAB_PLUGIN_NAME); ?>
                        <?php } ?>
                    </p>
                </div>
            </div>
            <div class="plan-item__body my-4">
                <ul class="list list-style-three text-start">
                    <li class="d-flex flex-wrap justify-content-between align-items-center">
                        <span class="label"><?php esc_html_e('Investment', HYIPLAB_PLUGIN_NAME); ?></span>
                        <span class="value">
                            <?php if ($plan->fixed_amount == 0) { ?>
                                <?php echo vlCur('sym') . vlShowAmount($plan->minimum); ?> -
                                <?php echo vlCur('sym') . vlShowAmount($plan->maximum); ?>
                            <?php } else { ?>
                                <?php echo vlCur('sym') . vlShowAmount($plan->fixed_amount); ?>
                            <?php } ?>
                        </span>
                    </li>
                    <li class="d-flex flex-wrap justify-content-between align-items-center">
                        <span class="label"><?php esc_html_e('Max. Earn', HYIPLAB_PLUGIN_NAME); ?></span>
                        <span class="value">
                            <?php
                            if ($plan->fixed_amount == 0) {
                                $investAmo = $plan->maximum;
                            } else {
                                $investAmo = $plan->fixed_amount;
                            }

                            if ($plan->lifetime == 0) {
                                if ($plan->interest_type == 1) {
                                    $interestAmo = (($investAmo * $plan->interest) / 100) * $plan->repeat_time;
                                } else {
                                    $interestAmo = $plan->interest * $plan->repeat_time;
                                }
                            } else {
                                $interestAmo = __('Unlimited', HYIPLAB_PLUGIN_NAME);
                            }

                            ?>

                            <?php echo esc_html($interestAmo); ?>
                            <?php if ($plan->lifetime == 0)
                                echo vlCur('text');
                            ?>
                        </span>
                    </li>
                    <li class="d-flex flex-wrap justify-content-between align-items-center">
                        <span class="label"><?php esc_html_e('Total Return', HYIPLAB_PLUGIN_NAME); ?></span>
                        <span class="value">
                            <?php if ($plan->lifetime == 0) { ?>
                                <?php if ($plan->capital_back == 1) { ?>
                                    <?php esc_html_e('capital +', HYIPLAB_PLUGIN_NAME); ?>
                                <?php } ?>
                                <?php echo esc_html($plan->interest * $plan->repeat_time); ?> <?php echo esc_html($plan->interest_type == 1 ? '%' : ' ' . vlCur('text')); ?>
                            <?php } else { ?>
                                <?php esc_html_e('Unlimited', HYIPLAB_PLUGIN_NAME); ?>
                            <?php } ?>
                        </span>
                    </li>
                </ul>
            </div>
            <button class="cmn--btn plan-btn btn investModal" data-bs-toggle="modal" data-plan_id="<?php echo esc_attr($plan->id); ?>" data-plan_name="<?php echo esc_attr($plan->name); ?>" data-fixed_amount="<?php echo esc_attr(vlGetAmount($plan->fixed_amount)); ?>" data-minimum="<?php echo esc_attr(vlGetAmount($plan->minimum)); ?>" data-maximum="<?php echo esc_attr(vlGetAmount($plan->maximum)); ?>" data-time_name="<?php echo esc_attr($plan->time_name); ?>" data-interest="<?php echo esc_attr(vlGetAmount($plan->interest)); ?>" data-interest_type="<?php echo esc_attr($plan->interest_type); ?>" data-lifetime="<?php echo esc_attr($plan->lifetime); ?>" data-repeat_time="<?php echo esc_attr($plan->repeat_time); ?>" data-bs-target="#investModal" type="button"><?php esc_html_e('Invest Now', HYIPLAB_PLUGIN_NAME); ?></button>
        </div>
    </div>
<?php } ?>

<div class="modal fade" id="investModal">
    <div class="modal-dialog modal-content-bg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">
                    <?php if (viserAuth()) { ?>
                        <?php esc_html_e('Confirm to invest on', HYIPLAB_PLUGIN_NAME); ?> <span class="planName"></span>
                    <?php } else { ?>
                        <?php esc_html_e('At first sign in your account', HYIPLAB_PLUGIN_NAME); ?>
                    <?php } ?>
                </h5>
                <button type="button" class="close" data-bs-dismiss="modal">
                    <i class="las la-times"></i>
                </button>
            </div>
            <form action="<?php echo vlRoute('user.plan.invest'); ?>" method="post">
                <?php vlNonceField('user.plan.invest');?>
                <input type="hidden" name="plan_id">
                <?php if (viserAuth()) { ?>
                    <div class="modal-body">
                        <div class="form-group">

                            <h6 class="text-center investAmountRange"></h6>
                            <p class="text-center mt-1 interestDetails"></p>
                            <p class="text-center interestValidity"></p>

                            <label><?php esc_html_e('Select Wallet', HYIPLAB_PLUGIN_NAME); ?></label>
                            <select class="form-select form-control form--control form-select" name="wallet_type" required>
                                <option value=""><?php esc_html_e('Select One', HYIPLAB_PLUGIN_NAME); ?></option>
                                <?php if (hyiplabBalance(viserAuth()->user->ID, 'deposit_wallet') > 0) { ?>
                                    <option value="deposit_wallet"><?php esc_html_e('Deposit Wallet', HYIPLAB_PLUGIN_NAME); ?> - <?php echo vlCur('sym') . vlShowAmount(hyiplabBalance(viserAuth()->user->ID, 'deposit_wallet')); ?></option>
                                <?php } ?>
                                <?php if (hyiplabBalance(viserAuth()->user->ID, 'interest_wallet') > 0) { ?>
                                    <option value="interest_wallet"><?php esc_html_e('Interest Wallet', HYIPLAB_PLUGIN_NAME); ?> - <?php echo vlCur('sym') . vlShowAmount(hyiplabBalance(viserAuth()->user->ID, 'interest_wallet')); ?></option>
                                <?php } ?>
                            </select>
                        </div>

                        <div class="form-group">
                            <label><?php esc_html_e('Invest Amount', HYIPLAB_PLUGIN_NAME); ?></label>
                            <div class="input-group">
                                <input type="number" step="any" class="form-control form--control" name="amount" required>
                                <div class="input-group-text"><?php echo vlCur('text') ?></div>
                            </div>
                            <code class="gateway-info d-none"><?php esc_html_e('Charge', HYIPLAB_PLUGIN_NAME); ?>: <span class="charge"></span> <?php echo vlCur('text') ?>. <?php esc_html_e('Total amount', HYIPLAB_PLUGIN_NAME); ?>: <span class="total"></span> <?php echo vlCur('text') ?></code>
                        </div>

                    </div>

                <?php } ?>

                <div class="modal-footer">
                    <?php if (viserAuth()) { ?>
                        <button type="button" class="btn btn-dark" data-bs-dismiss="modal"><?php esc_html_e('No', HYIPLAB_PLUGIN_NAME); ?></button>
                        <button type="submit" class="btn btn--base"><?php esc_html_e('Yes', HYIPLAB_PLUGIN_NAME); ?></button>
                    <?php } else { ?>
                        <a href="<?php echo esc_url(home_url('login?redirect_to=user-dashboard/plan')); ?>" class="btn btn-primary w-100">
                            <?php esc_html_e('At first sign in your account', HYIPLAB_PLUGIN_NAME); ?>
                        </a>
                    <?php } ?>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    jQuery(document).ready(function($) {
        "use strict"
        $('.investModal').on('click', function() {
            var symbol = '<?php echo vlCur('sym');?>';
            var currency = '<?php echo vlCur('text');?>';
            var modal = $('#investModal');
            var planId = $(this).data('plan_id');
            var plan_name = $(this).data('plan_name');
            var fixed_amount = $(this).data('fixed_amount');
            var minimum = $(this).data('minimum');
            var maximum = $(this).data('maximum');
            var interest = $(this).data('interest');
            var interest_type = $(this).data('interest_type');
            var time_name = $(this).data('time_name');
            var lifetime = $(this).data('lifetime');
            var repeat_time = $(this).data('repeat_time');
            modal.find('[name=plan_id]').val(planId);
            modal.find('.planName').text(plan_name);
            let fixedAmount = parseFloat(fixed_amount).toFixed(2);
            let minimumAmount = parseFloat(minimum).toFixed(2);
            let maximumAmount = parseFloat(maximum).toFixed(2);
            let interestAmount = parseFloat(interest);

            if (fixed_amount > 0) {
                modal.find('.investAmountRange').text(`Invest: ${symbol}${fixedAmount}`);
                modal.find('[name=amount]').val(parseFloat(fixed_amount).toFixed(2));
                modal.find('[name=amount]').attr('readonly', true);
            } else {
                modal.find('.investAmountRange').text(`Invest: ${symbol}${minimumAmount} - ${symbol}${maximumAmount}`);
                modal.find('[name=amount]').val('');
                modal.find('[name=amount]').removeAttr('readonly');
            }

            if (interest_type == '1') {
                modal.find('.interestDetails').html(`<strong> Interest: ${interestAmount}% </strong>`);
            } else {
                modal.find('.interestDetails').html(`<strong> Interest: ${interestAmount} ${currency}  </strong>`);
            }

            if (lifetime == '0') {
                modal.find('.interestValidity').html(`<strong>  Every ${time_name} for ${repeat_time} times</strong>`);
            } else {
                modal.find('.interestValidity').html(`<strong>  Every ${time_name} for life time </strong>`);
            }

        });
    });
</script>